<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<xsl:variable name="groupPath"><xsl:value-of select="/page/pageRequest/paramList/param[@name='group']/@value"/></xsl:variable>
	
	<!-- use the 'main' layout -->
	<!--<xsl:include href="layouts/main.xsl"/>-->

	<!-- set page title -->
	<xsl:template name="pageTitle"><xsl:choose><xsl:when test="$groupPath != ''"><gslib:groupName path="{$groupPath}"/></xsl:when><xsl:otherwise><gslib:siteName/></xsl:otherwise></xsl:choose></xsl:template>

	<!-- set page breadcrumbs -->
	<xsl:template name="breadcrumbs">
		<xsl:if test="$groupPath != ''">
			<gslib:siteLink/>
			<xsl:for-each select="/page/pageResponse/pathList/group">
				<xsl:sort data-type="number" select="@position"/>
				<gslib:rightArrow/>
				<xsl:if test="position() != last()">
				  <!-- don't want the current group in the breadcrumbs -->
				  <a>
				    <xsl:attribute name="href"><gslib:groupHref path="{@path}"/></xsl:attribute>				
				    <xsl:attribute name="title"><gslib:groupName path="{@path}"/></xsl:attribute>
				    <gslib:groupName path="{@path}"/>
				  </a>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	
	<!-- the page content -->
	<xsl:template match="/page/pageResponse">
		<!--<h2><gslib:selectACollectionTextBar/></h2>-->

	
		<div class="content">
		  <!--
			<xsl:for-each select="./collectionList/collection">
				<xsl:variable name="collectionFolder" select="@name"/>
				<xsl:variable name="homeImage">
					<xsl:choose>
						<xsl:when test="displayItem[@name='smallicon']">
							sites/<xsl:value-of select="$site_name"/>/collect/<xsl:value-of select="$collectionFolder"/>/images/<xsl:value-of select="displayItem[@name='smallicon']"/>
						</xsl:when>
						<xsl:otherwise>
							interfaces/<xsl:value-of select="$interface_name"/>/images/default.jpg
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>

				
			</xsl:for-each>
		  -->
			<img src="interfaces/perrin/images/default.jpg" alt="" />
		</div>
		<div class="column">
			<ul class="latestnews">
				<li>
					<p><strong><a href="#">Highlighted Item 1</a></strong><br/>This is a place where you can put information about an item you would like to highlight in your collection, with or without an accompanying image.</p>
				</li>
				<li>
					<p><strong><a href="#">Highlighted Item 2</a></strong><br/>This is a place where you can put information about an item you would like to highlight in your collection,with or without an accompanying image.</p>
				</li>
				
			</ul>
		</div>
		<br class="clear" />
		<div id="hpage_cats">
		  <xsl:call-template name="collectionAndGroupLinks"/>
		  <!--<xsl:call-template name="collectionsList"/>-->
		</div>		
	</xsl:template>


	<xsl:template name="additionalHeaderContent">
		<script type="text/javascript" src="interfaces/{$interface_name}/scripts/jquery.easing.1.3.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="interfaces/{$interface_name}/scripts/jquery.timers.1.2.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="interfaces/{$interface_name}/scripts/jquery.galleryview.2.1.1.min.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="interfaces/{$interface_name}/scripts/jquery.galleryview.setup.js"><xsl:text> </xsl:text></script>
	</xsl:template>
	
	<xsl:template name="collectionsList">
		<!-- for every collection in the library -->
		<xsl:for-each select="./collectionList/collection">		
			<xsl:call-template name="collDescription"/>				
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="collDescription">
		<xsl:variable name="collectionFolder" select="@name"/>
		<xsl:variable name="collectionName" select="displayItemList/displayItem[@name='name']"/>
		<xsl:variable name="aboutImage" select="displayItemList/displayItem[@name='icon']"/>
		<xsl:variable name="homeImage" select="displayItemList/displayItem[@name='smallicon']"/>
		<xsl:variable name="collDesc" select="displayItemList/displayItem[@name='description']"/>
		<xsl:variable name="numDocs" select="metadataList/metadata[@name='numDocs']"/>
		<!-- creates a header that links to the collection's about page -->
		<h2><a href="{$library_name}/collection/{$collectionFolder}/page/about"><xsl:value-of select="$collectionName"/></a></h2>
		<!-- if there is an About page image for the collection, this is displayed -->
		<xsl:if test="$homeImage">
			<img src="sites/{$site_name}/collect/{$collectionFolder}/images/{$homeImage}" alt="{$collectionName}" />
		</xsl:if>

		<xsl:choose>
			<!-- has a description - display it -->
			<xsl:when test="$collDesc">
				<p class="justify"><xsl:value-of select="$collDesc" disable-output-escaping="yes"/></p>
			</xsl:when>
			<!-- no description - a generic sentence -->
			<xsl:otherwise>
				<p class="justify">Welcome to the <xsl:value-of select="$collectionName"/> collection. This collection contains <xsl:value-of select="$numDocs"/> documents.</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="collectionAndGroupLinks">
	  <xsl:for-each select="collectionList/collection|groupList/group">
            <xsl:sort data-type="number" select="@position"/>
	    <xsl:if test="name() = 'collection'">
	      <xsl:call-template name="collDescription"/>
              <!--<xsl:call-template name="collectionLinkWithImage2"/>-->
	      <!--<gslib:collectionLinkWithImage/>-->
	    </xsl:if>
	    <xsl:if test="name() = 'group'">
	      <xsl:call-template name="customGroupDescription"/>
              <!--<gslib:groupLinkWithImage/>-->
	    </xsl:if>			
          </xsl:for-each>
	  
	</xsl:template>
	<xsl:template match="/page/xsltparams">
	  <!-- suppress xsltparam block in page -->
	</xsl:template>

	<!-- Modified version of <gslib:groupLinkWithImage/>-->
	<xsl:template name="customGroupDescription">
	  <xsl:variable name="short"><xsl:value-of select="shortDescription"/></xsl:variable>
	  <xsl:variable name="desc"><xsl:value-of select="description"/></xsl:variable>
	  <xsl:variable name="group_href"><xsl:value-of select="$library_name"/>/group/<xsl:if test="/page/pageRequest/paramList/param[@name='group']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='group']/@value"/>/</xsl:if><xsl:value-of select="@name"/></xsl:variable>
	  
	  <!-- creates a header that links to the collection's about page -->
	  <!--group: <xsl:value-of select="@name"/>-->
	  <h2>
	    <a href="{$group_href}" title="{$short}">
	      <xsl:choose>
		<xsl:when test="boolean(title)">
		  <xsl:value-of select="title"/>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:value-of select="@name"/>
		</xsl:otherwise>
	      </xsl:choose>
	    </a>
	  </h2>

	  <!-- if there is an image for this group, this is displayed -->
	  <xsl:choose>
	    <xsl:when test="util:checkFileExistence($site_name, backgroundImage)">
		<img class="groupLinkImage">
		  <xsl:attribute name="alt"><xsl:value-of select="displayItemList/displayItem[@name='name']"/></xsl:attribute>
		  <xsl:attribute name="src">sites/<xsl:value-of select="$site_name"/>/<xsl:value-of select="backgroundImage"/></xsl:attribute>
		</img>
	    </xsl:when>	    
	  </xsl:choose>

	  <xsl:choose>
	    <!-- If the group has a description - display it -->
	    <xsl:when test="$desc">
	      <p class="justify"><xsl:value-of select="$desc" disable-output-escaping="yes"/></p>
	    </xsl:when>
	    <!-- If no group description - repeat group name -->
	    <xsl:otherwise>
	      <p class="justify">Collection group: <xsl:value-of select="@name" disable-output-escaping="yes"/></p>
	    </xsl:otherwise>
	  </xsl:choose>
	</xsl:template>

	<!-- Copied from <gslib:collectionLinkWithImage/>. Not used.
	     See Jenny's template for collDescription.
	     The coll_href var may become important if something doesn't work in existing
	     collDescription.
	     For now though, there is no /page/pageRequest/paramList/param name=group
	-->
	<!--
	<xsl:template name="collDescription">
	  <xsl:variable name="desc"><xsl:value-of select="displayItemList/displayItem[@name='shortDescription']"/></xsl:variable>
	  <xsl:variable name="coll_href"><xsl:value-of select="$library_name"/>/collection/<xsl:if test="/page/pageRequest/paramList/param[@name='group']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='group']/@value"/>/</xsl:if><xsl:value-of select="@name"/>/page/about<xsl:choose><xsl:when test="libraryParamList/param">?<xsl:for-each select="libraryParamList/param"><xsl:value-of select="@name"/>=<xsl:value-of select="@default"/>&amp;</xsl:for-each></xsl:when></xsl:choose></xsl:variable>
	  <xsl:choose>
	    <xsl:when test="displayItemList/displayItem[@name='smallicon']">
	      <a href="{$coll_href}" title="{$desc}">
		<img class="collectionLinkImage">
		  <xsl:attribute name="alt"><xsl:value-of select="displayItemList/displayItem[@name='name']"/></xsl:attribute>
		  <xsl:attribute name="src">sites/<xsl:value-of select="$site_name"/>/collect/<xsl:value-of select="@name"/>/images/<xsl:value-of select="displayItemList/displayItem[@name='smallicon']"/></xsl:attribute>
		</img>
	      </a>
	    </xsl:when>
	    <xsl:otherwise>
	      <a href="{$coll_href}" title="{$desc}">
		<div class="collectionLink ui-corner-all">
		  <div class="collectionLinkText ui-widget-content ui-corner-top">
		    <xsl:choose><xsl:when test="displayItemList/displayItem[@name='name']"><xsl:value-of select="displayItemList/displayItem[@name='name']"/></xsl:when>
		    <xsl:otherwise>
		      <xsl:value-of select="@name"/>
		    </xsl:otherwise>
		    </xsl:choose>

		  </div>
		  <div style="height:15px;" class="ui-state-default ui-corner-bottom"><xsl:text> </xsl:text></div>
		</div>
	      </a>
	    </xsl:otherwise>
	  </xsl:choose>
	</xsl:template>
	-->	
</xsl:stylesheet>


